Problem with Markdown Preview

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem with Markdown Preview

Tao Zha
Hi:

After I updated macOS Catalina, Markdown Preview no longer works. I got the following error message:

Please install the Redcarpet and Pygments.rb RubyGems by running the following:
/usr/bin/gem install --user redcarpet pygments.rb

After I ran the above command, I received the following error message from the Terminal:

$ /usr/bin/gem install --user redcarpet pygments.rb
Building native extensions. This could take a while...
ERROR:  Error installing redcarpet:
ERROR: Failed to build gem native extension.

    current directory: /Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0/ext/redcarpet
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby -I /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0 -r ./siteconf20191111-836-11oqvm2.rb extconf.rb
mkmf.rb can't find header files for ruby at /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/include/ruby.h

You might have to install separate package for the ruby development
environment, ruby-dev or ruby-devel for example.

extconf failed, exit code 1

Gem files will remain installed in /Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0 for inspection.
Results logged to /Users/tzha/.gem/ruby/2.6.0/extensions/universal-darwin-19/2.6.0/redcarpet-3.5.0/gem_make.out
Successfully installed pygments.rb-1.2.1
Parsing documentation for pygments.rb-1.2.1
Done installing documentation for pygments.rb after 0 seconds
1 gem installed

Can someone help me to resolve this issue?

Thanks,

Tao


_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Markdown Preview

Graham Heath

I'll tell you that what I would do first would be to make a new file and paste in:

 gem install --user redcarpet pygments.rb

Then run that line from within TextMate using Bundles -> Shell Script -> Execute line.

[You can also find it by pressing ⌘ + T and searching for "Execute line" or by pressing ^ + R.]

That way you can be relatively sure that the gem that TextMate runs commands with will be the one used to install pygments.

Thanks,
Graham

On 11 Nov 2019, at 10:39, Tao Zha wrote:

Hi:

After I updated macOS Catalina, Markdown Preview no longer works. I got the following error message:

Please install the Redcarpet and Pygments.rb RubyGems by running the following:
/usr/bin/gem install --user redcarpet pygments.rb

After I ran the above command, I received the following error message from the Terminal:

$ /usr/bin/gem install --user redcarpet pygments.rb
Building native extensions. This could take a while...
ERROR:  Error installing redcarpet:
ERROR: Failed to build gem native extension.

    current directory: /Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0/ext/redcarpet
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby -I /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0 -r ./siteconf20191111-836-11oqvm2.rb extconf.rb
mkmf.rb can't find header files for ruby at /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/include/ruby.h

You might have to install separate package for the ruby development
environment, ruby-dev or ruby-devel for example.

extconf failed, exit code 1

Gem files will remain installed in /Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0 for inspection.
Results logged to /Users/tzha/.gem/ruby/2.6.0/extensions/universal-darwin-19/2.6.0/redcarpet-3.5.0/gem_make.out
Successfully installed pygments.rb-1.2.1
Parsing documentation for pygments.rb-1.2.1
Done installing documentation for pygments.rb after 0 seconds
1 gem installed

Can someone help me to resolve this issue?

Thanks,

Tao

_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate



_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Markdown Preview

Greg-110
In reply to this post by Tao Zha
This won’t be very helpful. 

But Markdown preview works on my MBP with Catalina and I installed Python  for QGIS. HomeBrew install didn’t work with QGIS, so ended up using the installer at https://www.python.org/downloads/

On Nov 11, 2019, at 10:19 AM, [hidden email] wrote:

Send TextMate mailing list submissions to
[hidden email]

To subscribe or unsubscribe via the World Wide Web, visit
https://lists.macromates.com/listinfo/textmate
or, via email, send a message with subject or body 'help' to
[hidden email]

You can reach the person managing the list at
[hidden email]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of TextMate digest..."


Today's Topics:

  1.  Problem with Markdown Preview (Tao Zha)
  2.  Re: Problem with Markdown Preview (Graham Heath)


----------------------------------------------------------------------

Message: 1
Date: Mon, 11 Nov 2019 11:39:53 -0500
From: Tao Zha <[hidden email]>
To: [hidden email], [hidden email]
Subject: [TxMt] Problem with Markdown Preview
Message-ID: <[hidden email]>
Content-Type: text/plain; charset="us-ascii"

Hi:

After I updated macOS Catalina, Markdown Preview no longer works. I got the following error message:

Please install the Redcarpet and Pygments.rb RubyGems by running the following:
/usr/bin/gem install --user redcarpet pygments.rb

After I ran the above command, I received the following error message from the Terminal:

$ /usr/bin/gem install --user redcarpet pygments.rb
Building native extensions. This could take a while...
ERROR:  Error installing redcarpet:
ERROR: Failed to build gem native extension.

   current directory: /Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0/ext/redcarpet
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby -I /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0 -r ./siteconf20191111-836-11oqvm2.rb extconf.rb
mkmf.rb can't find header files for ruby at /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/include/ruby.h

You might have to install separate package for the ruby development
environment, ruby-dev or ruby-devel for example.

extconf failed, exit code 1

Gem files will remain installed in /Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0 for inspection.
Results logged to /Users/tzha/.gem/ruby/2.6.0/extensions/universal-darwin-19/2.6.0/redcarpet-3.5.0/gem_make.out
Successfully installed pygments.rb-1.2.1
Parsing documentation for pygments.rb-1.2.1
Done installing documentation for pygments.rb after 0 seconds
1 gem installed

Can someone help me to resolve this issue?

Thanks,

Tao
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macromates.com/textmate/attachments/20191111/8a603e67/attachment-0001.html>

------------------------------

Message: 2
Date: Mon, 11 Nov 2019 12:19:05 -0600
From: "Graham Heath" <[hidden email]>
To: "TextMate users" <[hidden email]>
Cc: [hidden email]
Subject: [TxMt] Re: Problem with Markdown Preview
Message-ID: <[hidden email]>
Content-Type: text/plain; charset="utf-8"; Format="flowed"

I'll tell you that what I would do first would be to make a new file and
paste in:

     gem install --user redcarpet pygments.rb

Then run that line from within TextMate using Bundles -> Shell Script ->
Execute line.

[You can also find it by pressing ? + T and searching for "Execute
line" or by pressing ^ + R.]

That way you can be relatively sure that the `gem` that TextMate runs
commands with will be the one used to install pygments.

Thanks,
Graham

On 11 Nov 2019, at 10:39, Tao Zha wrote:

Hi:

After I updated macOS Catalina, Markdown Preview no longer works. I
got the following error message:

Please install the Redcarpet and Pygments.rb RubyGems by running the
following:
/usr/bin/gem install --user redcarpet pygments.rb

After I ran the above command, I received the following error message
from the Terminal:

$ /usr/bin/gem install --user redcarpet pygments.rb
Building native extensions. This could take a while...
ERROR:  Error installing redcarpet:
ERROR: Failed to build gem native extension.

   current directory:
/Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0/ext/redcarpet
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby -I
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0
-r ./siteconf20191111-836-11oqvm2.rb extconf.rb
mkmf.rb can't find header files for ruby at
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/include/ruby.h

You might have to install separate package for the ruby development
environment, ruby-dev or ruby-devel for example.

extconf failed, exit code 1

Gem files will remain installed in
/Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0 for inspection.
Results logged to
/Users/tzha/.gem/ruby/2.6.0/extensions/universal-darwin-19/2.6.0/redcarpet-3.5.0/gem_make.out
Successfully installed pygments.rb-1.2.1
Parsing documentation for pygments.rb-1.2.1
Done installing documentation for pygments.rb after 0 seconds
1 gem installed

Can someone help me to resolve this issue?

Thanks,

Tao



_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macromates.com/textmate/attachments/20191111/44ec97e0/attachment.html>

------------------------------

_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate

End of TextMate Digest, Vol 138, Issue 4
****************************************



_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Markdown Preview

Tao Zha
Thanks.  I installed the updated version of Xcode and that seemed to take care of the problem.  

On Nov 11, 2019, at 6:06 PM, Greg <[hidden email]> wrote:

This won’t be very helpful. 

But Markdown preview works on my MBP with Catalina and I installed Python  for QGIS. HomeBrew install didn’t work with QGIS, so ended up using the installer at https://www.python.org/downloads/

On Nov 11, 2019, at 10:19 AM, [hidden email] wrote:

Send TextMate mailing list submissions to
[hidden email]

To subscribe or unsubscribe via the World Wide Web, visit
https://lists.macromates.com/listinfo/textmate
or, via email, send a message with subject or body 'help' to
[hidden email]

You can reach the person managing the list at
[hidden email]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of TextMate digest..."


Today's Topics:

  1.  Problem with Markdown Preview (Tao Zha)
  2.  Re: Problem with Markdown Preview (Graham Heath)


----------------------------------------------------------------------

Message: 1
Date: Mon, 11 Nov 2019 11:39:53 -0500
From: Tao Zha <[hidden email]>
To: [hidden email], [hidden email]
Subject: [TxMt] Problem with Markdown Preview
Message-ID: <[hidden email]>
Content-Type: text/plain; charset="us-ascii"

Hi:

After I updated macOS Catalina, Markdown Preview no longer works. I got the following error message:

Please install the Redcarpet and Pygments.rb RubyGems by running the following:
/usr/bin/gem install --user redcarpet pygments.rb

After I ran the above command, I received the following error message from the Terminal:

$ /usr/bin/gem install --user redcarpet pygments.rb
Building native extensions. This could take a while...
ERROR:  Error installing redcarpet:
ERROR: Failed to build gem native extension.

   current directory: /Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0/ext/redcarpet
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby -I /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0 -r ./siteconf20191111-836-11oqvm2.rb extconf.rb
mkmf.rb can't find header files for ruby at /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/include/ruby.h

You might have to install separate package for the ruby development
environment, ruby-dev or ruby-devel for example.

extconf failed, exit code 1

Gem files will remain installed in /Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0 for inspection.
Results logged to /Users/tzha/.gem/ruby/2.6.0/extensions/universal-darwin-19/2.6.0/redcarpet-3.5.0/gem_make.out
Successfully installed pygments.rb-1.2.1
Parsing documentation for pygments.rb-1.2.1
Done installing documentation for pygments.rb after 0 seconds
1 gem installed

Can someone help me to resolve this issue?

Thanks,

Tao
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macromates.com/textmate/attachments/20191111/8a603e67/attachment-0001.html>

------------------------------

Message: 2
Date: Mon, 11 Nov 2019 12:19:05 -0600
From: "Graham Heath" <[hidden email]>
To: "TextMate users" <[hidden email]>
Cc: [hidden email]
Subject: [TxMt] Re: Problem with Markdown Preview
Message-ID: <[hidden email]>
Content-Type: text/plain; charset="utf-8"; Format="flowed"

I'll tell you that what I would do first would be to make a new file and
paste in:

     gem install --user redcarpet pygments.rb

Then run that line from within TextMate using Bundles -> Shell Script ->
Execute line.

[You can also find it by pressing ? + T and searching for "Execute
line" or by pressing ^ + R.]

That way you can be relatively sure that the `gem` that TextMate runs
commands with will be the one used to install pygments.

Thanks,
Graham

On 11 Nov 2019, at 10:39, Tao Zha wrote:

Hi:

After I updated macOS Catalina, Markdown Preview no longer works. I
got the following error message:

Please install the Redcarpet and Pygments.rb RubyGems by running the
following:
/usr/bin/gem install --user redcarpet pygments.rb

After I ran the above command, I received the following error message
from the Terminal:

$ /usr/bin/gem install --user redcarpet pygments.rb
Building native extensions. This could take a while...
ERROR:  Error installing redcarpet:
ERROR: Failed to build gem native extension.

   current directory:
/Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0/ext/redcarpet
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby -I
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0
-r ./siteconf20191111-836-11oqvm2.rb extconf.rb
mkmf.rb can't find header files for ruby at
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/include/ruby.h

You might have to install separate package for the ruby development
environment, ruby-dev or ruby-devel for example.

extconf failed, exit code 1

Gem files will remain installed in
/Users/tzha/.gem/ruby/2.6.0/gems/redcarpet-3.5.0 for inspection.
Results logged to
/Users/tzha/.gem/ruby/2.6.0/extensions/universal-darwin-19/2.6.0/redcarpet-3.5.0/gem_make.out
Successfully installed pygments.rb-1.2.1
Parsing documentation for pygments.rb-1.2.1
Done installing documentation for pygments.rb after 0 seconds
1 gem installed

Can someone help me to resolve this issue?

Thanks,

Tao



_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macromates.com/textmate/attachments/20191111/44ec97e0/attachment.html>

------------------------------

_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate

End of TextMate Digest, Vol 138, Issue 4
****************************************


_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate



_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate